Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.ssh
Class SSHMenuHandler

    java.lang.Object
      com.mindbright.ssh.SSHMenuHandler

All Implemented Interfaces:
  TerminalMenuListener

Direct Known Subclasses:
  SSHMenuHandlerFull

public abstract class SSHMenuHandler
extends java.lang.Object
implements TerminalMenuListener

Constructor Summary
`SSHMenuHandler()`

Method Summary
`abstract void` | `alertDialog(java.lang.String message)`
`void` | `close(TerminalMenuHandler originMenu)` Called when the user has selected close in the menu
`abstract boolean` | `confirmDialog(java.lang.String message, boolean defAnswer)`
`abstract int` | `getPopupButton()`
`abstract void` | `init(MindTerm mindterm, SSHInteractiveClient client, java.awt.Frame parent, TerminalWin term)`
`abstract void` | `setPopupButton(int popButtonNum)`
`abstract void` | `setupMenuBar(boolean usePopupMenu)`
`abstract void` | `textDialog(java.lang.String head, java.lang.String text, int rows, int cols, boolean scrollbar)`
`abstract void` | `update()` Called when the menu is updated

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SSHMenuHandler

    public SSHMenuHandler()

Method Detail

### init

    public abstract void init(MindTerm mindterm,
                              SSHInteractiveClient client,
                              java.awt.Frame parent,
                              TerminalWin term)

### update

    public abstract void update()

  Description copied from interface: `TerminalMenuListener`
  Called when the menu is updated

  Specified by:
    `update` in interface `TerminalMenuListener`

### close

    public void close(TerminalMenuHandler originMenu)

  Description copied from interface: `TerminalMenuListener`
  Called when the user has selected close in the menu

  Specified by:
    `close` in interface `TerminalMenuListener`
  Parameters:
    `originMenu` - the menu where close was selected

### setupMenuBar

    public abstract void setupMenuBar(boolean usePopupMenu)

### setPopupButton

    public abstract void setPopupButton(int popButtonNum)

### getPopupButton

    public abstract int getPopupButton()

### confirmDialog

    public abstract boolean confirmDialog(java.lang.String message,
                                          boolean defAnswer)

### alertDialog

    public abstract void alertDialog(java.lang.String message)

### textDialog

    public abstract void textDialog(java.lang.String head,
                                    java.lang.String text,
                                    int rows,
                                    int cols,
                                    boolean scrollbar)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD